Get user KVault transactions
curl --request GET \
--url https://api.kamino.finance/kvaults/users/{pubkey}/transactionsconst options = {method: 'GET'};
fetch('https://api.kamino.finance/kvaults/users/{pubkey}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/kvaults/users/{pubkey}/transactions"
response = requests.get(url)
print(response.text)false[
{
"createdOn": "2023-11-07T05:31:56Z",
"instruction": "<string>",
"tokenMint": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"tokenAmount": "1234.56789",
"tokenPrice": "1234.56789",
"solPrice": "1234.56789",
"sharePrice": "1234.56789",
"numberOfShares": "1234.56789",
"usdValue": "1234.56789",
"transaction": "<string>",
"kvault": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"latestPosition": true
}
]{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"error": "An internal error occurred"
}User Data
Get user KVault transactions
Get all Kamino Earn Vault transactions for a given user
GET
/
kvaults
/
users
/
{pubkey}
/
transactions
Get user KVault transactions
curl --request GET \
--url https://api.kamino.finance/kvaults/users/{pubkey}/transactionsconst options = {method: 'GET'};
fetch('https://api.kamino.finance/kvaults/users/{pubkey}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/kvaults/users/{pubkey}/transactions"
response = requests.get(url)
print(response.text)false[
{
"createdOn": "2023-11-07T05:31:56Z",
"instruction": "<string>",
"tokenMint": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"tokenAmount": "1234.56789",
"tokenPrice": "1234.56789",
"solPrice": "1234.56789",
"sharePrice": "1234.56789",
"numberOfShares": "1234.56789",
"usdValue": "1234.56789",
"transaction": "<string>",
"kvault": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"latestPosition": true
}
]{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"error": "An internal error occurred"
}Path Parameters
Valid base58-encoded address of the user wallet
Example:
"AxqtG9SHDkZTLSWg81Sp7VqAzQpRqXtR9ziJ3VQAS8As"
Response
OK
Date when the instruction was created
Type of instruction
Token mint address
Example:
"VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd"
Amount of tokens involved
Example:
"1234.56789"
Price of the token at the time of instruction
Example:
"1234.56789"
Price of SOL at the time of instruction
Example:
"1234.56789"
Price per share at the time of instruction
Example:
"1234.56789"
Number of shares involved
Example:
"1234.56789"
USD value of the transaction
Example:
"1234.56789"
Transaction signature
KVault identifier
Example:
"VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd"
Indicates if this is the latest position